{
  "name": "myapp",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "type-check": "tsc --noEmit",
    "dev": "node ace serve --watch",
    "build": "node ace build --production",
    "start": "node server.js",
    "lint": "eslint . --ext=.ts",
    "format": "prettier --write .",
    "format-check": "prettier --check ./**/*.ts"
  },
  "eslintConfig": {
    "extends": [
      "plugin:adonis/typescriptApp",
      "prettier"
    ],
    "plugins": [
      "prettier"
    ],
    "rules": {
      "prettier/prettier": [
        "error"
      ]
    }
  },
  "eslintIgnore": [
    "build"
  ],
  "alias": {
    "vue": "./node_modules/vue/dist/vue.esm-bundler.js"
  },
  "devDependencies": {
    "@adonisjs/assembler": "^5.7.0",
    "@babel/core": "^7.20.12",
    "@babel/plugin-proposal-class-properties": "^7.18.6",
    "@babel/plugin-proposal-decorators": "^7.20.13",
    "@babel/plugin-transform-runtime": "^7.19.6",
    "@babel/preset-env": "^7.20.2",
    "@babel/preset-typescript": "^7.18.6",
    "@japa/preset-adonis": "^1.0.16",
    "@japa/runner": "^2.0.8",
    "@mdi/js": "^7.1.96",
    "@symfony/webpack-encore": "^4.2.0",
    "@tailwindcss/forms": "^0.5.2",
    "@types/leaflet": "^1.9.3",
    "@types/node": "^18.14.4",
    "@types/proxy-addr": "^2.0.0",
    "@types/source-map-support": "^0.5.6",
    "@vue/tsconfig": "^0.3.2",
    "adonis-preset-ts": "^2.1.0",
    "autoprefixer": "^10.4.13",
    "babel-preset-typescript-vue3": "^2.0.17",
    "chart.js": "^4.2.0",
    "eslint": "^8.32.0",
    "eslint-config-prettier": "^8.6.0",
    "eslint-plugin-adonis": "^2.1.1",
    "eslint-plugin-prettier": "^4.2.1",
    "naive-ui": "^2.34.3",
    "numeral": "^2.0.6",
    "pinia": "^2.0.30",
    "pino-pretty": "^10.0.0",
    "postcss-loader": "^7.0.2",
    "prettier": "^2.8.3",
    "tailwindcss": "^3.2.4",
    "ts-loader": "^9.4.2",
    "typescript": "^4.9.5",
    "vue": "^3.2.47",
    "vue-loader": "^17.0.1",
    "youch": "^3.2.0",
    "youch-terminal": "^2.1.4"
  },
  "dependencies": {
    "@adonisjs/auth": "^8.2.3",
    "@adonisjs/core": "^5.8.3",
    "@adonisjs/lucid": "^18.3.0",
    "@adonisjs/repl": "^3.1.11",
    "@adonisjs/session": "^6.4.0",
    "@adonisjs/shield": "^7.1.0",
    "@adonisjs/view": "^6.1.5",
    "@eidellev/adonis-stardust": "^3.0.0",
    "@eidellev/inertia-adonisjs": "^8.0.0",
    "@fontsource/archivo-black": "^4.5.9",
    "@fontsource/inter": "^4.5.15",
    "@inertiajs/inertia": "^0.11.1",
    "@inertiajs/vue3": "^1.0.0",
    "bcryptjs": "^2.4.3",
    "crypto": "^1.0.1",
    "dayjs": "^1.11.7",
    "leaflet": "^1.9.3",
    "luxon": "^3.2.1",
    "notiwind": "^2.0.0",
    "pg": "^8.9.0",
    "proxy-addr": "^2.0.7",
    "reflect-metadata": "^0.1.13",
    "source-map-support": "^0.5.21",
    "vue-facing-decorator": "^2.1.13"
  }
}
